<?php

/**
 * acta_liquida actions.
 *
 * @package    contratacion
 * @subpackage acta_liquida
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class acta_liquidaActions extends sfActions
{
 /**
  * Executes index action
  *
  * @param sfRequest $request A request object
  */
  public function executeActaLiquida(sfWebRequest $request)
  {
    
      $id_contrato = $request['id_contrato'];
      $id_anhos = $request['id_anhos'];
      $observaciones = $request['observaciones'];
      
      
      $pdf = new CDPDF('P', 'mm', 'letter');
        
        $pdf->SetFont('Times', 'B', 8);
        $pdf->SetFillColor(255);
        $pdf->SetTextColor(0);
        $pdf->setTipo(4);
        $pdf->setTitulo("ACTA DE LIQUIDACIÓN DE CONTRATOS");
        // Header
        $pdf->AddPage();
           

        $pdf->SetFont('Times', '', 12);

        $consul = Doctrine_Manager::getInstance()->connection();
      
        $sql="select tab0.*, numero_a_texto(tab0.valor)||' PESOS' as VALOR_LETRAS from co_contrato_v tab0 where tab0.id_contrato = $id_contrato and tab0.id_anhos = $id_anhos";
        
        $st = $consul->execute($sql);
        $datos = $st->fetchAll();
        
        
        $sql="select tab0.* from co_firma_liquida tab0";
        
        $st = $consul->execute($sql);
        $firma = $st->fetchAll();
        
        
        $no_contrato = $datos[0]['NO_CONTRATO'];
        $tipo_contrato=$datos[0]['TIPO_COMPLETO'];
        $tipo_abrevia=$datos[0]['TIPO_ABREVI'];
        $contratista = $datos[0]['NOM_CONTRA'];
        $supervisor = $datos[0]['COMPLETO_SUPERVISOR'];
        $doc_contratista = $datos[0]['DOC_CONTRA'];
        
        $doc_firma = $firma[0]['DOCUMENTO'];
        $nombre_firma = $firma[0]['NOMBRE'];
        $cargo_firma = $firma[0]['CARGO'];
        $norma_firma = $firma[0]['NORMATIVIDAD'];
        
        $objeto = $datos[0]['OBJETO'];
        $plazo = $datos[0]['PLAZO'];
        
        $valor = $datos[0]['VALOR'];
        $valor_letras = $datos[0]['VALOR_LETRAS'];
        
        $sql="select tab0.cdp, tab0.dia_cdp||' de '||tab0.mes_cdp||' del '||anho_cdp AS FECHA_CDP
        from(
        select tab3.cdp, LPAD(to_char(tab3.fecha,'dd'),2,'0') as dia_cdp,
        trim(initcap(to_char(tab3.fecha,'MONTH','nls_date_language=spanish'))) as mes_cdp,
        TO_CHAR(tab3.fecha,'yyyy') as anho_cdp

        from co_cdps_ep tab0
        JOIN co_seleccion_ep tab1 ON tab1.id_estudios_previos = tab0.id_estudios_previos
        join co_contrato tab2 ON tab2.id_seleccion_ep = tab1.id_seleccion_ep
        join co_cdps_v tab3 ON tab3.id = tab0.id_cdp
        where tab2.id_contrato = $id_contrato

        )tab0";
        
        $st = $consul->execute($sql);
        $cdps = $st->fetchAll();
        $certificado = "";
        foreach ($cdps as $cdps){
            
            $certificado.="CDP. No. ".$cdps['CDP']." del ".$cdps['FECHA_CDP']."<br/>";
        }
        
        $sql="select tab0.rp, tab0.dia_rp||' de '||tab0.mes_rp||' del '||anho_rp AS FECHA_RP

            from(

            select tab1.rp,LPAD(to_char(tab1.fecha,'dd'),2,'0') as dia_rp,
            trim(initcap(to_char(tab1.fecha,'MONTH','nls_date_language=spanish'))) as mes_rp,
            TO_CHAR(tab1.fecha,'yyyy') as anho_rp

            from co_legaliza_contrato tab0
            left join rps_v tab1  ON tab0.id_rp = tab1.id
            where tab0.id_contrato = $id_contrato

            )tab0";
        
        $st = $consul->execute($sql);
        $rps = $st->fetchAll();
        $registro_presup = "";
        foreach ($rps as $rps){
            
            $registro_presup.="RP No. ".$rps['RP']." del ".$rps['FECHA_RP']."<br/>";
        }
        
        
        $html.='<p style="text-align:center"><b>ACTA DE LIQUIDACIÓN '.$tipo_contrato.' Nº '
                .$no_contrato.' DE '.$id_anhos.' SUSCRITO ENTRE EL SERVICIO GEOLÓGICO COLOMBIANO Y '.$contratista.'.</b></p><br/>';
        
        $html.='<p style="text-align:justify">Entre los suscritos, <b>'.$nombre_firma.'</b>, mayor de edad, identificado con Cédula de Ciudadania No. '.$doc_firma.', quien actúa en su carácter de '.$cargo_firma.' del SERVICIO GEOLÓGICO COLOMBIANO, '.$norma_firma.', por una parte, y por la otra '.$contratista.' con el objeto de liquidar por mutuo acuerdo '. strtolower($tipo_contrato).' Nº '.$no_contrato.' de '.$id_anhos.', de acuerdo con la información que se especifica a continuación:<br/></p>';
        
        $html.='<p style="text-align:center"><b>1. INFORMACIÓN GENERAL</b></p><br/>';
        
        $html.='<p style="text-align:justify">De manera preliminar, es preciso indicar que en el año 2013 en Servicio Geológico Colombiano suscito Conflicto de Competencia Negativo ante la Sala de Consulta y Servicio Civil del Consejo de Estado con el finde que definiera la entidad competente para realizar la supervisión técnica y la liquidación de los convenios y contratos celebrados por el Servicio Geologico Colombiano en su condición de autoridad minera delegada para la ejecución de actividades dentro de los proyectos como recursos del Fondo Nacional de Regalías</p><br/>';
        
        $html.='<p style="text-align:justify">Como consecuencia de lo anterior, el dia xxxxx la Sala de Consulta y Servicio Civil del Consejo de Estado resolvio declarar competente a Ingeominas, hoy Servicio Geológico Colombiano, para realizar la liquidacion '.strtolower($tipo_contrato).' Nº '.$no_contrato.' de '.$id_anhos.', celebrado entre el Servicio Geológico Colombiano y '.$contratista.' y adelantar las actuaciones requeridas dentro del trámte de cierre del proyecto que dio lugar al contrato.</p><br/>';
        
        $html.='<p style="text-align:left">Con base en lo expuesto se expone a continuación las condiciones generales '.strtolower($tipo_contrato).' señalado</p><br/>';
        
        $html.='<table border="1" cellpadding="2px">';
        $html.='<tr><td style="text-align:left;width:20%"><b>OBJETO</b></td><td style="text-align:left;width:80%">'.$this->htmlClear($objeto).'</td></tr>';
        $html.='<tr><td style="text-align:left;width:20%"><b>VALOR INICIAL</b></td><td style="text-align:left;width:80%">'.$valor_letras.'M/CTE ($'.number_format($valor).') INCLUIDO IVA'.'</td></tr>';
        $html.='<tr><td style="text-align:left;width:20%"><b>CERTIFICADO DE DISPONIBILIDAD PRESUPUESTAL</b></td><td style="text-align:left;width:80%">'.$certificado.'</td></tr>';
        $html.='<tr><td style="text-align:left;width:20%"><b>CERTIFICADO DE REGISTRO PRESUPUESTAL</b></td><td style="text-align:left;width:80%">'.$registro_presup.'</td></tr>';
        
        $sql="select tab0.no_adicion,tab0.justificacion,
            tab0.dia_sol||' de '||tab0.mes_sol||' del '||anho_sol as FECHA_ADICION,
            tab0.valor AS VALOR_ADICION,numero_a_texto(tab0.valor)||' PESOS M/CTE' VALOR_LETRAS,
            tab0.rp, tab0.dia_rp||' de '||tab0.mes_rp||' del '||anho_rp AS FECHA_RP,
            tab0.cdp, tab0.dia_cdp||' de '||tab0.mes_cdp||' del '||anho_cdp AS FECHA_CDP

            from(

            select tab1.justificacion,tab1.no_adicion, LPAD(to_char(tab1.fecha_solicitud,'dd'),2,'0') as dia_sol,
            trim(initcap(to_char(tab1.fecha_solicitud,'MONTH','nls_date_language=spanish'))) as mes_sol,
            TO_CHAR(tab1.fecha_solicitud,'yyyy') as anho_sol, tab1.valor,

            tab2.cdp, LPAD(to_char(tab2.fecha,'dd'),2,'0') as dia_cdp,
            trim(initcap(to_char(tab2.fecha,'MONTH','nls_date_language=spanish'))) as mes_cdp,
            TO_CHAR(tab2.fecha,'yyyy') as anho_cdp,

            tab3.rp,LPAD(to_char(tab3.fecha,'dd'),2,'0') as dia_rp,
            trim(initcap(to_char(tab3.fecha,'MONTH','nls_date_language=spanish'))) as mes_rp,
            TO_CHAR(tab3.fecha,'yyyy') as anho_rp

            from co_adicion_contrato tab0
            left join co_solicitud_adicion tab1 ON tab1.id_solicitud_adicion = tab0.id_solicitud_adicion
            join co_cdps_v tab2 ON tab2.id = tab1.id_cdp
            left join rps_v tab3  ON tab3.id = tab0.id_rp
            where tab1.id_contrato = $id_contrato

            )tab0";
        
        $st = $consul->execute($sql);
        $adiciones = $st->fetchAll();
        $cdps_adicion="";
        $rps_adicion="";
        $valor_adiciones=0;
        
        foreach($adiciones as $adiciones){
            
        $html.='<tr><td style="text-align:left;width:20%"><b>ADICIONES</b></td>
                    <td style="text-align:left;width:20%"><b>ACTA DE ACLARACIÓN Y ADICIÓN AL '.$tipo_contrato.' Nº '.$no_contrato.' de '.$id_anhos.'</b></td>
                    <td style="text-align:left;width:20%"><b>'.$adiciones['FECHA_ADICION'].'</b></td>
                    <td style="text-align:left;width:40%">'.$this->htmlClear($adiciones['JUSTIFICACION']).'</td></tr>';
            
            $cdps_adicion.="CDP. No. ".$cdps['CDP']." del ".$cdps['FECHA_CDP']."<br/>";
            $rps_adicion.="RP No. ".$rps['RP']." del ".$rps['FECHA_RP']."<br/>";
            $valor_adiciones +=$adiciones['VALOR_ADICION']; 
        
        }
        
        $valor_total = $valor_adiciones + $valor;
        
        
        $sql="select numero_a_texto($valor_total)||' PESOS M/CTE' VALOR_LETRAS from dual";
        
        $st = $consul->execute($sql);
        $totales = $st->fetchAll();
        
        $valor_total_letras = $totales[0]['VALOR_LETRAS'];
        
        $html.='<tr><td style="text-align:left;width:20%"><b>VALOR TOTAL DEL CONTRATO</b></td><td style="text-align:left;width:80%">'.$valor_total_letras.'M/CTE ($'.number_format($valor_total).') INCLUIDO IVA'.'</td></tr>';
        $html.='<tr><td style="text-align:left;width:20%"><b>CERTIFICADO DE DISPONIBILIDAD PRESUPUESTAL DE LA ADICIÓN</b></td><td style="text-align:left;width:80%">'.$cdps_adicion.'</td></tr>';
        $html.='<tr><td style="text-align:left;width:20%"><b>CERTIFICADO DE REGISTRO PRESUPUESTAL DE LA ADICIÓN</b></td><td style="text-align:left;width:80%">'.$rps_adicion.'</td></tr>';
        $html.='<tr><td style="text-align:left;width:20%"><b>VALOR TOTAL EJECUTADO</b></td><td style="text-align:left;width:80%">'.$valor_total_letras.'M/CTE ($'.number_format($valor_total).') INCLUIDO IVA'.'</td></tr>';
        
        $sql="select nvl(sum(tab0.valor),0) as valor

            from(

            select tab0.id_contrato,tab0.valor - tab0.amortizacion_anticipo valor

            from co_ejecucion_contrato tab0

            where tab0.id_contrato = $id_contrato
            )tab0";
        $st = $consul->execute($sql);
        $pagos = $st->fetchAll();   
        $valor_pago = $pagos[0]['VALOR'];
        
        $html.='<tr><td style="text-align:left;width:20%"><b>VALOR DESEMBOLSADO POR EL SERVICIO GEOLÓGICO COLOMBIANO</b></td><td style="text-align:left;width:80%">$'.number_format($valor_pago).''.'</td></tr>';
        $html.='<tr><td style="text-align:left;width:20%"><b>VALOR PENDIENTES DE PAGO POR EL SERVICIO GEOLÓGICO COLOMBIANO</b></td><td style="text-align:left;width:80%">$'.number_format($valor_total - $valor_pago).''.'</td></tr>';
        $html.='<tr><td style="text-align:left;width:20%"><b>OBSERVACIONES</b></td><td style="text-align:left;width:80%">'.$observaciones.'</td></tr>';
        $html.='</table><br/>';
        
        
        $sql="select tab0.dia_inicio||' de '||tab0.mes_inicio||' del '||anho_inicio AS FECHA_INICIO,
            TO_CHAR(tab0.fecha_terminacion,'dd-mm-yyyy') fecha_terminacion, 
            TO_CHAR(tab0.fecha_inicio,'dd-mm-yyyy') AS fecha_inicio_b
            

        from(

        select LPAD(to_char(tab0.fecha_inicio,'dd'),2,'0') as dia_inicio,
        trim(initcap(to_char(tab0.fecha_inicio,'MONTH','nls_date_language=spanish'))) as mes_inicio,
        TO_CHAR(tab0.fecha_inicio,'yyyy') as anho_inicio, tab0.fecha_terminacion, tab0.fecha_inicio
        

        from co_legaliza_contrato tab0

        where tab0.id_contrato = $id_contrato

        )tab0";
        
        $st = $consul->execute($sql);
        $legaliza = $st->fetchAll();
        
        $fecha_inicio = $legaliza[0]['FECHA_INICIO'];
        $fecha_inicio_b = $legaliza[0]['FECHA_INICIO_B'];
        $fecha_terminacion = $legaliza[0]['FECHA_TERMINACION'];
        
        $html.='<table border="1">';
        $html.='<tr><td style="text-align:left;width:20%"><b>PLAZO DE EJECUCION INICIAL</b></td><td style="text-align:left;width:80%">'.$plazo.'</td></tr>';
        $html.='<tr><td style="text-align:left;width:20%"><b>FECHA DE INICIO</b></td><td style="text-align:left;width:80%">'.$fecha_inicio.'</td></tr>';
        
        $sql="select tab0.no_prorroga,tab0.justificacion,
        tab0.dias_prorroga,
        tab0.dia_prorroga||' de '||tab0.mes_prorroga||' del '||anho_prorroga AS FECHA_PRORROGA,
        tab0.dia_plazo||' de '||tab0.mes_plazo||' del '||anho_plazo AS FECHA_PLAZO

        FROM(

        select tab1.no_prorroga, tab1.justificacion,
        LPAD(to_char(tab1.fecha_solicitud,'dd'),2,'0') as dia_prorroga,
        trim(initcap(to_char(tab1.fecha_solicitud,'MONTH','nls_date_language=spanish'))) as mes_prorroga,
        TO_CHAR(tab1.fecha_solicitud,'yyyy') as anho_prorroga, tab1.dias_prorroga,
        LPAD(to_char(tab1.plazo_terminacion,'dd'),2,'0') as dia_plazo,
        trim(initcap(to_char(tab1.plazo_terminacion,'MONTH','nls_date_language=spanish'))) as mes_plazo,
        TO_CHAR(tab1.plazo_terminacion,'yyyy') as anho_plazo       


        from co_prorroga_contrato tab0
        join co_solicitud_prorroga tab1 ON tab1.id_solicitud_prorroga = tab0.id_solicitud_prorroga

        where tab1.id_contrato = $id_contrato

        order by tab1.no_prorroga

        )tab0";
        
        $st = $consul->execute($sql);
        $prorrogas = $st->fetchAll();
        $dias_prorroga=0;
        foreach ($prorrogas as $prorrogas){
            
            
            $html.='<tr><td style="text-align:left;width:20%"><b>PRORROGA No. '.$prorrogas['NO_PRORROGA'].'</b></td>
                <td style="text-align:left;width:40%">'.$prorrogas['FECHA_PRORROGA'].'</td>
                <td style="text-align:left;width:40%">'.$this->htmlClear($prorrogas['JUSTIFICACION']).'</td>    
                </tr>';
            $dias_prorroga +=$prorrogas['DIAS_PRORROGA']; 
            
            
        }
        
        $sql="select 'Acta de Suspensión No. '||tab0.no_suspension AS DESCRIPCION,tab0.justificacion,
        tab0.dias_suspension,tab0.meses_suspension, tab0.anhos_suspension,
        tab0.dia_suspension||' de '||tab0.mes_suspension||' del '||anho_suspension AS FECHA

        FROM(

        select tab1.no_suspension,tab1.justificacion,LPAD(to_char(tab1.fecha_solicitud,'dd'),2,'0') as dia_suspension,
        trim(initcap(to_char(tab1.fecha_solicitud,'MONTH','nls_date_language=spanish'))) as mes_suspension,
        TO_CHAR(tab1.fecha_solicitud,'yyyy') as anho_suspension, tab1.dias_suspension,tab1.meses_suspension, tab1.anhos_suspension
        

        from co_suspension_contrato tab0
        join co_solicitud_suspension tab1 ON tab1.id_solicitud_suspension = tab0.id_solicitud_suspension

        where tab1.id_contrato = $id_contrato
        
        

        )tab0
        
        
        
        UNION all
        
        select 'Acta de Reinicio No. '||tab0.solicitud AS DESCRIPCION,tab0.justificacion,
        0 as dias_suspencion,0 as meses_suspension, 0 as anhos_suspension,
        tab0.dia_reinicio||' de '||tab0.mes_reinicio||' del '||anho_reinicio AS FECHA

        FROM(

        select tab0.no_solicitud,tab0.justificacion,LPAD(to_char(tab0.fecha_reinicio,'dd'),2,'0') as dia_reinicio,
        trim(initcap(to_char(tab0.fecha_reinicio,'MONTH','nls_date_language=spanish'))) as mes_reinicio,
        TO_CHAR(tab0.fecha_reinicio,'yyyy') as anho_reinicio



        from co_solicitud_reinicio tab0
        
        where tab0.id_contrato = $id_contrato
        
        

        )tab0";
        
        $st = $consul->execute($sql);
        $suspensiones = $st->fetchAll();
        
        $dias_suspension=0;
        $meses_suspension=0;
        $anhos_suspension=0;
        
        $html.='<tr><td style="text-align:left;width:20%"><b>SUSPENSIONES Y REINICIO</b></td><td style="text-align:left;width:80%"><table border="1">';
        
        foreach ($suspensiones as $suspensiones){
            
            
            $justificacion=str_replace("<br>","",$suspensiones['JUSTIFICACION']);
            
            $html.='<tr>
                       <td style="text-align:left;width:30%"><b>'.$suspensiones['DESCRIPCION'].'</b></td>
                       <td style="text-align:center;width:30%">'.$suspensiones['FECHA'].'</td>
                       <td style="text-align:left;width:40%">'.$justificacion.'</td>
                    </tr>';
            
            $dias_suspension +=$suspensiones['DIAS_SUSPENSION'];
            $meses_suspension +=$suspensiones['MESES_SUSPENSION'];
            $anhos_suspension +=$suspensiones['ANHOS_SUSPENSION'];
            
            
        }
        
        
        $html.='</table></td></tr>';
        $sql="select to_char((to_date('$fecha_terminacion','DD-MM-YYYY') + interval '$dias_prorroga' day + interval '$dias_suspension' day + interval '$meses_suspension' month + interval '$anhos_suspension' year ),'dd-mm-yyyy') FECHA_TERMINA  from dual";
        
        $st = $consul->execute($sql);
        $fechas = $st->fetchAll();
        
        $fecha_terminacion_efectiva = $fechas[0]['FECHA_TERMINA'];
        
        $fechaInicial = new DateTime($fecha_inicio_b);
        
        $fechaFinal = new DateTime($fecha_terminacion_efectiva);
        
        $interval = $fechaInicial->diff($fechaFinal);
        
        $anhos = $interval->format('%y');
        $meses= $interval->format('%m');
        $dias= $interval->format('%d');
        
        $sql="select 

        case when $anhos = 0 then '' else lower(numero_a_texto($anhos))||'($anhos) Año(s)' end AS ANHOS,
        case when $meses = 0 then '' else lower(numero_a_texto($meses))||'($meses) Mes(es)' end AS MESES,
        case when $dias = 0 then '' else lower(numero_a_texto($dias))||'($dias) Dia(s)' end AS DIAS

        from dual";
        
        $st = $consul->execute($sql);
        $duracion = $st->fetchAll();
        
        $duracion_total = $duracion[0]['ANHOS']." ". $duracion[0]['MESES']." ".$duracion[0]['DIAS'];
        
        
        $sql="
        SELECT tab0.dia_final||' de '||tab0.mes_final||' del '||anho_final AS FECHA_FINAL
           from(
        select LPAD(to_char(to_date('$fecha_terminacion_efectiva','DD-MM-YYYY'),'dd'),2,'0') as dia_final,
        trim(initcap(to_char(to_date('$fecha_terminacion_efectiva','DD-MM-YYYY'),'MONTH','nls_date_language=spanish'))) as mes_final,
        TO_CHAR(to_date('$fecha_terminacion_efectiva','DD-MM-YYYY'),'yyyy') as anho_final
        from dual
               )tab0
        ";
        
        $st = $consul->execute($sql);
        $fecha_termina = $st->fetchAll();
        $fecha_final = $fecha_termina[0]['FECHA_FINAL'];
        
        $html.='<tr><td style="text-align:left;width:20%"><b>DURACIÓN TOTAL</b></td><td style="text-align:left;width:80%">'.$duracion_total.'</td></tr>';
        $html.='<tr><td style="text-align:left;width:20%"><b>FECHA DE TERMINACIÓN EFECTIVA</b></td><td style="text-align:left;width:80%">'.$fecha_final.'</td></tr>';
        $html.='</table><br/>';
        
        $html.='<p style="text-align:center"><b>2. CUMPLIMIENTO DEL OBJETO CONTRACTUAL</b></p><br/>';
        
        
        $fecha_informe="";
        
        $html.='<p style="text-align:justify">El objeto y obligaciones pactadas en el '.  strtolower($tipo_contrato).' No. '.$no_contrato.' de '.$id_anhos.' 
             fueron ejecutadas por '.$contratista.', y en lo pertinente por el Servicio Geológico Colombiano, tal como consta en las actas de reunión actas de liquidación
             de los contratos suscritos para el cumplimiento del objeto, el informe final de supervision y financiero de fecha '.$fecha_informe.'
             asi como en las visitas efectuadas a las obras objeto del '.$tipo_abrevia.' cuyas actas obran en el archivo de dicho '.$tipo_abrevia.'.</p><br/>';
        
        //$html.='<p style="text-align:justify">Para efectos de la ejecucion del referido '.$tipo_abrevia.' '.$contratista.' suscribio el siguiente </p><br/>';
        
        $html.='<p style="text-align:left"><b>3. BALANCE FINANCIERO</b></p><br/>';
        
        $html.='<p style="text-align:left"><b>3.1 SALDO A REEMBOLSAR</b></p><br/>';
        
        $html.='<p style="text-align:left"><b>3.2 RENDIMIENTOS FINANCIEROS</b></p><br/>';
        
        $html.='<p style="text-align:left"><b>4. OBLIGACIONES PENDIENTES</b></p><br/>';
        
        $html.='<p style="text-align:justify">'.$contratista.', se obliga a cumplir con las siguientes obligaciones pendientes en virtud del '.$tipo_contrato.' No. '.$no_contrato.' de '.$id_anhos.', dentro de los diez (10) dias habiles siguientes a la suscripción de la presente acta de liquidación</p><br/>';
        
        $html.='<p style="text-align:left"><b>5. CONDICIONES GENERALES DE EJECUCION DEL '.  strtoupper($tipo_abrevia).'</b></p><br/>';
        
        $html.='<p style="text-align:left">Una vez se hayan cumplido las obligaciones a las cuales queda sujeto(a) '.$contratista.', las partes se declararan a paz y salvo por todo concepto.</p><br/>';
        
        $html.='<p style="text-align:left">Para constancia se firma la presente acta de liquidacion, por quienes en ella intervinieron.</p><br/>';
        
        $html.='<p style="text-align:left">Dada en Bogotá,</p><br/>';
        
        
        $html.='<table>
                    <tr>
                        <td style=
                        "text-align:center">________________________________________</td>
                        <td style="text-align:center">________________________________________</td>
                    </tr>
                    <tr>
                        <td style="text-align:center"><b>'.$nombre_firma.'</b></td>
                        <td style="text-align:center"><b>'.$contratista.'</b></td>
                    </tr>
                    <tr>
                        <td style="text-align:center"><b>'.$cargo_firma.'</b></td>
                        <td style="text-align:center"><b>CONTRATISTA</b></td>
                    </tr>
                    <tr>
                        <td style="text-align:center"><b>SERVICIO GEOLÓGICO COLOMBIANO</b></td>
                        <td style="text-align:center"><b></b></td>
                    </tr>
                </table>';
        
        
        
        
        
        
        $pdf->writeHTML($html, true, false, true, false, '');
        
        $pdf->Output("ACTA_LIQUIDACION.pdf", "D");
        
  }
  
  
  private function htmlClear($string) {
        
        $string = str_replace('<p>', '<p align="justify">', $string);
        $string = str_replace('<br>', '<br/>', $string);
        $string = str_replace('class=', '', $string);
        $string = str_replace('<img', '', $string);
        $string = str_replace('<td>X</td>', '<td align="center">X</td>', $string);
        //$string = str_replace('<td align="top">', '<td align="justify">', $string);
        //$string = str_replace('<td align="justify">X</td>', '<td align="center">X</td>', $string);
        $string = str_replace('<td rowspan="2">', '<td rowspan="2" align="justify">', $string);

        $string = str_replace('<font size="2">', '<font size="10">', $string);
        $string = str_replace('<font size="3">', '<font size="12">', $string);
        $string = str_replace('<font size="4">', '<font size="14">', $string);
        $string = str_replace('<font size="5">', '<font size="18">', $string);
        $string = str_replace('<font size="6">', '<font size="24">', $string);
        $string = str_replace('<font size="7">', '<font size="36">', $string);
	$string = str_replace('<table ', '<center><table ', $string);
        $string = str_replace('</table> ', '</table></center>', $string);
        $string = str_replace('<table ', '<table border="1"', $string);
        
        $string = str_replace('size="2"', 'size="10"', $string);
        $string = str_replace('size="3"', 'size="12"', $string);
        $string = str_replace('size="4"', 'size="14"', $string);
        $string = str_replace('size="5"', 'size="18"', $string);
        $string = str_replace('size="6"', 'size="24"', $string);
        $string = str_replace('size="7"', 'size="36"', $string);

	$string = str_replace('border="0"', 'border="1"', $string);
        
        
        $string = str_replace('<div>', '<div align="justify">', $string);
	$string = str_replace('&amp;amp;amp;amp;amp;nbsp;', ' ', $string);
        $string = str_replace('&amp;amp;amp;amp;nbsp;', ' ', $string);
        $string = str_replace('&amp;amp;amp;nbsp;', ' ', $string);
        $string = str_replace('&amp;amp;nbsp;', '', $string);
        $string = str_replace('&amp;amp;amp;amp;amp;amp;amp;amp;amp;amp;amp;amp;amp;amp;amp;amp;amp;amp;amp;amp;nbsp;', '', $string);
        $string = str_replace('<style type="text/css">P { margin-bottom: 0.08in; direction: ltr; color: rgb(0, 0, 0); line-height: 100%; text-align: justify; widows: 2; orphans: 2; }P.western { font-family: "Tahoma",sans-serif; font-size: 11pt; }P.cjk { font-family: "Times New Roman",serif; font-size: 11pt; }P.ctl { font-family: "Tahoma",sans-serif; font-size: 11pt; }A:link { color: rgb(0, 0, 255); }</style>', ' ', $string);

        $string = str_replace('<td colspan="2">', '<td colspan="2" align="justify">', $string);
        $string = str_replace('<td rowspan="3">', '<td rowspan="3" align="justify">', $string);
        $string = str_replace('<td colspan="3">', '<td colspan="3" align="justify">', $string);
        $string = str_replace('<td rowspan="4">', '<td rowspan="4" align="justify">', $string);
        $string = str_replace('<td colspan="4">', '<td colspan="4" align="justify">', $string);
        $string = str_replace('  ', ' ', $string);
        $string = str_replace('   ', ' ', $string);
        $string = str_replace('    ', ' ', $string);
        $string = str_replace('	    ', ' ', $string);
        $string = str_replace('		    ', ' ', $string);
        $string = str_replace('<span lang="ES-TRAD">', '', $string);
        $string = str_replace('<span lang="ES-COL">', '', $string);
        $string = str_replace('<!-- @page { size: 21cm 29.7cm; margin: 2cm } P { margin-bottom: 0.21cm } -->', '', $string);
        $string = str_replace('<p lang="es-MX" align="justify">', '', $string);
        $string = str_replace('<span>', '', $string);
        //$string = str_replace('</span>', '', $string); #Este es el que MAS jode :::::::::::::::::
        $string = str_replace('valign', 'align', $string);
        ;
        $string = str_replace('width=', '', $string);
        //    $string = str_replace('&nbsp;', '', $string);
        //      $string = str_replace('cellspacing=', '', $string);
        //      $string = str_replace('cellpadding=', '', $string);
        $string = str_replace('bordercolor=', '', $string);
        $string = str_replace('<td>', '<td align="justify">', $string);
        $string = str_replace('<li>', '<li align="justify">', $string);
        $string = str_replace('style=', '', $string);

        return trim($string);
    }
  
}
